import { type KYCStatus } from '@prisma/client';
import { type DomainEvent } from '@modules/shared';

export class UserKycUpdatedEvent implements DomainEvent {
  readonly eventName = 'user.kyc_updated';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly newStatus: KYCStatus,
    public readonly previousStatus: KYCStatus,
  ) {}
}
